Bug 633520 - Bakefile is not working properly unless write.py patched
Summary: Bakefile is not working properly unless write.py patched
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bakefile
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-13 21:32 UTC by Josef Šimánek
Modified: 2011-03-15 21:57 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
bakefile.x86_64 0.2.8-3.fc13
python-empy.noarch 3.3-5.fc13
python.x86_64 2.6.4-27.fc13
Last Closed: 2011-03-15 21:49:45 UTC


Attachments (Terms of Use)
Patch to make Bakefile working properly with empy templates. (892 bytes, patch)
2010-09-13 21:32 UTC, Josef Šimánek
no flags Details | Diff

Description Josef Šimánek 2010-09-13 21:32:54 UTC
Created attachment 447051 [details]
Patch to make Bakefile working properly with empy templates.

Description of problem:
I wanted to compile project (e texteditor) using bakefile. It throws errors (ImportError: No module named empy.em) during WebKit "bakefiling".

Version-Release number of selected component (if applicable):
bakefile.x86_64 0.2.8-3.fc13
python-empy.noarch 3.3-5.fc13
python.x86_64 2.6.4-27.fc13

How reproducible:
Everytime

Steps to Reproduce:
1. Clone github e-texteditor repo
2. Download externals
3. Patch them
4. Try to compile externals
  
Actual results:
ImportError: No module named empy.em

Expected results:
Compiled program

Additional info:
I know this is not a Fedora's problem. But there are two not compatible packages in distribution standard rpm repository. I first went to Bakefile community to ask for a solution, but it is dead I think. I made a patch, to make Bakefile compatible with F13 standard python (and python-empy), but I think it will be better to remove Bakefile from standard repository.

Comment 1 Josef Šimánek 2010-09-13 21:35:33 UTC
I'm not a Python programmer. I just made a monkey patch.

Comment 2 Fedora Update System 2011-01-02 17:29:27 UTC
bakefile-0.2.8-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/bakefile-0.2.8-5.fc13

Comment 3 Fedora Update System 2011-01-02 17:30:32 UTC
bakefile-0.2.8-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bakefile-0.2.8-5.fc14

Comment 4 Fedora Update System 2011-01-03 20:05:23 UTC
bakefile-0.2.8-5.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bakefile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/bakefile-0.2.8-5.fc14

Comment 5 Fedora Update System 2011-03-15 21:49:35 UTC
bakefile-0.2.8-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-03-15 21:56:51 UTC
bakefile-0.2.8-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.